/* librnpl_f.h */
/* Copyright (c) 1995,1996 by Robert Marsa */

#include <bbh_types.h>

#ifndef F77_HAS_SYSTEM
BBH_I system(const BBH_C *s);
#endif
BBH_V rdvramp(BBH_D *r, BBH_I len, BBH_D min, BBH_D inc);
BBH_V rdvaddc(BBH_D *r, BBH_D c1, BBH_D *s1, BBH_D c2, BBH_D *s2, BBH_I len);
BBH_D l2norm(BBH_I N, BBH_D *vec);

BBH_I encode(BBH_I *lar, BBH_I *ar, BBH_I nar);

BBH_V gff_output(BBH_I *ptrs, BBH_D *q, BBH_C **fnames, BBH_I ngfls, 
                BBH_C **cnames, BBH_I ncnames, BBH_D t, BBH_I ser, BBH_I fout,
                BBH_I nout_f, BBH_I *lout_f, BBH_I *gf_st, BBH_I *gf_ln);

BBH_V rnpl_id_set_file(const BBH_C *fn);
BBH_V rnpl_id_set_rank(BBH_I r);
BBH_V rnpl_id_set_shape(BBH_I s1, BBH_I s2, BBH_I s3);
BBH_V rnpl_id_write(const BBH_C *dsn, BBH_D *data);
BBH_V rnpl_id_end();

BBH_V set_interrupt();
BBH_V unset_interrupt();
BBH_V reset_interrupt();
BBH_I query_interrupt();

